Subject: bug#57451: closed (Re: [bug#57451] [PATCH] gnu: samba: Update to 4.16.4.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 27 Aug 2022 21:44:03 +0000

Your bug report

#57451: [PATCH] gnu: samba: Update to 4.16.4.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57451: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57451
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#57451] [PATCH] gnu: samba: Update to 4.16.4.
From: Marius Bakke <[email-masked]>
To: Maxime Devos <[email-masked]>, [email-masked]
Cc: Maxime Devos <[email-masked]>
Date: Sat, 27 Aug 2022 23:43:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxime Devos <[email-masked]> skriver:

> As a reproducibility check, you can check the hash:
>
> $ guix hash -r $(./pre-inst-env guix build samba --no-grafts --system=x86_64-linux)
> 1mg3nh705pbiz3ihq8jzkmjb15m6y8zjnzyr4hxmbciv7frgykk0

Confirmed!

[...]

> * gnu/packages/samba.scm (samba): Update to 4.16.4. To help future updaters,
> add the current PGP fingerprint in a comment.

Applied, thanks!

Subject: [PATCH] gnu: samba: Update to 4.16.4.
From: Maxime Devos <[email-masked]>
To: [email-masked]
Cc: Maxime Devos <[email-masked]>
Date: Sat, 27 Aug 2022 18:40:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As a reproducibility check, you can check the hash:

$ guix hash -r $(./pre-inst-env guix build samba --no-grafts --system=x86_64-linux)
1mg3nh705pbiz3ihq8jzkmjb15m6y8zjnzyr4hxmbciv7frgykk0

I've checked that it's correctly signed, and I've tried to verify that the PGP
key is correct -- searching for 'Samba Distribution Verification Key', the
websites of the first search results have the same key:

* https://www.linuxcompatible.org/story/samba-4150rc5-released/
* https://wiki.samba.org/index.php/Samba_4.12_Features_added/changed
* https://www.mail-archive.com/[email-masked]/msg00562.html
* https://wiki.linuxfromscratch.org/blfs/ticket/14748

https://groups.google.com/g/linux.samba/c/k3xaN0TIcQU has a different key,
but as mentioned on the previous locations, the key has changed.

I have also checked the source code diff (using diffoscope) between the the
current version and the previous, nothing appears 'suspicious' (with the
caveat that it is written in C).

According to "guix refresh -l" there aren't too many dependents.  I'm
currently rebuilding them, no failures so far except for lxde, but it already
failed to build before this patch.

* gnu/packages/samba.scm (samba): Update to 4.16.4. To help future updaters,
add the current PGP fingerprint in a comment.
---
 gnu/packages/samba.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/samba.scm b/gnu/packages/samba.scm
index f6ead57cc1..360c06d216 100644
--- a/gnu/packages/samba.scm
+++ b/gnu/packages/samba.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2020, 2022 Maxim Cournoyer <[email-masked]>
 ;;; Copyright © 2022 Jean-Pierre De Jesus DIAZ <[email-masked]>
 ;;; Copyright © 2022 Guillaume Le Vaillant <[email-masked]>
+;;; Copyright © 2022 Maxime Devos <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -185,14 +186,16 @@ (define (install dir)
 (define-public samba
   (package
     (name "samba")
-    (version "4.16.2")
+    (version "4.16.4")
     (source
+     ;; For updaters: the current PGP fingerprint is
+     ;; 81F5E2832BD2545A1897B713AA99442FB680B620.
      (origin
        (method url-fetch)
        (uri (string-append "https://download.samba.org/pub/samba/stable/"
                            "samba-" version ".tar.gz"))
        (sha256
-        (base32 "1745gx36gyd7353a94w4lrgksbmms0502kj9gg63il9zbdns1dx0"))))
+        (base32 "0bvhqinxwpbwp4ayhd9q8ga0w89gnkl1m3nrwpj1fnhjzd4ghclm"))))
     (build-system gnu-build-system)
     (arguments
      (list

base-commit: d519305d83d08058e4def2c4d72fe62102d9599d
prerequisite-patch-id: 62949e6148bb8aae2f792aaf4d54f2a136351d28
prerequisite-patch-id: 72191ec47cb3876c5fcd6233880dea7dfc1b165f
prerequisite-patch-id: bbfd96d673e491ddd684e8270c90347547dceaa5
prerequisite-patch-id: fbdac7446d0c3f529f313f89cb9ba975d469d7ac
-- 
2.37.1